# Class SectionConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents the configuration settings for a section.

    public class SectionConfig

Inheritance
  object
  SectionConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Columns

    public int? Columns { get; set; }

#### Property Value

int?

### DesignProperties

    public UiFontData? DesignProperties { get; set; }

#### Property Value

UiFontData

### RefreshConfig

    public int? RefreshConfig { get; set; }

#### Property Value

int?

### RefreshValues

    public int? RefreshValues { get; set; }

#### Property Value

int?

### Rows

    public int? Rows { get; set; }

#### Property Value

int?

### Steps

    public List<Step>? Steps { get; set; }

#### Property Value

List<Step>